Name:          ninja-ide
Version:       2.3
Release:       1mamba
Summary:       An IDE specially designed for Python Applications Development
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://ninja-ide.org/
Source:        https://github.com/ninja-ide/ninja-ide/archive/v%{version}.zip
Source1:       ninja-ide.desktop
Source2:       ninja-ide.1.gz
License:       GPL
BuildRequires: libpython-devel
Requires:      python >= %python_version
Requires:      python-pyinotify
Requires:      PyQt4
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
Ninja-IDE (from the recursive acronym: "Ninja-IDE Is Not Just Another IDE"), is a cross-platform integrated development environment (IDE).
Ninja-IDE allows developers to create applications for several purposes using all the tools and utilities of NINJA-IDE, making the task of writing software easier and more enjoyable.

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

install -D -m0755 icon.png \
   %{buildroot}%{_datadir}/pixmaps/ninja-ide.png
install -D -m0644 %{S:1} \
   %{buildroot}%{_datadir}/applications/ninja-ide.desktop
install -D -m0644 %{S:2} \
   %{buildroot}%{_mandir}/man1/ninja-ide.1.gz

find %{buildroot} -name 'pep8mod.py' | xargs chmod 0755

%files -f %{name}.filelist
%defattr(-,root,root)
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop
%{_mandir}/man?/*
%doc COPYING README.md

%changelog
* Wed Dec 04 2013 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.3-1mamba
- package created using the webbuild interface
